// MFCFlashView.h : interface of the CMFCFlashView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MFCFLASHVIEW_H__FE16F113_3940_4CE1_9FB7_E631CD24ED3E__INCLUDED_)
#define AFX_MFCFLASHVIEW_H__FE16F113_3940_4CE1_9FB7_E631CD24ED3E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "FlashWnd.h"


class CMFCFlashView : public CView
{
protected: // create from serialization only
	CMFCFlashView();
	DECLARE_DYNCREATE(CMFCFlashView)

// Attributes
public:
	CMFCFlashDoc* GetDocument();

	CFlashWnd			m_wndFlash;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMFCFlashView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMFCFlashView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CMFCFlashView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	virtual void FSCommondShockwave(LPCTSTR commond, LPCTSTR args);
	DECLARE_MESSAGE_MAP()
	DECLARE_EVENTSINK_MAP()
};

#ifndef _DEBUG  // debug version in MFCFlashView.cpp
inline CMFCFlashDoc* CMFCFlashView::GetDocument()
   { return (CMFCFlashDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MFCFLASHVIEW_H__FE16F113_3940_4CE1_9FB7_E631CD24ED3E__INCLUDED_)
